load('Datenbank');

fig27=figure(27); fig27.WindowState = 'maximized';
M2=kron([[0,1];[-1,0]],eye(1000));
plot(zeros(1,100000), linspace(-100000,100000,100000),'LineWidth',3,'LineStyle','--','Color',[0 0 0]); hold on;
p=loadp('Branches/tr_omega_3,Bsp=3',['pt' num2str(OptimalIndex(3,6))]);
r=sGjac(p,p.u); H=p.mat.M\(M2*r); f=eig(full(H)); 
plot(f,'.','Color',[0 1 0],'MarkerSize',26);
set(gca,'FontSize', 40,'YTick',[-30000 -20000 -10000 0 10000 20000 30000],'YTickLabel',{'-30000','-20000','-10000','0','10000','20000','30000'});
set(gca,'TickLabelInterpreter','latex');
xlabel('Re$(\lambda)$','Interpreter', 'latex');
ylabel('Im$(\lambda)$','Interpreter', 'latex');
annotation(fig27,'textbox',[0.71 0.8 0.05 0.1],'String','(i)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');xlim([-20,20]);ylim([-3.27,-0.7]); 
xlim([-3,1]);
ylim([-35000,35000]);
title({'$d=0.1$, $f=5$ and $f_1^2=50\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);