load('Datenbank');

fig17=figure(17); fig17.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=2','fpt3'); foldnr=p.file.count; startnr=650;
plot(1:1+foldnr-startnr,G(2,startnr:foldnr),'Color',[0 0.45 0.74],'LineWidth',4,'Marker','o','MarkerSize',0.1); hold on;
plot(1+OptimalIndex(2,1)-startnr,G(2,OptimalIndex(2,1)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18); 
annotation(fig17,'textarrow',[0.295833333333334 0.258333333333334],...
    [0.279581151832462 0.236649214659688],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1,G(2,startnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig17,'textarrow',[0.302083333333333 0.2578125],...
    [0.859685863874351 0.876439790575922],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,G(2,foldnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig17,'textarrow',[0.761979166666666 0.78125],...
    [0.430366492146598 0.358115183246075],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
pernr=1818; %hier wiederholt sich der omega-Loop
plot(linspace(1,1+foldnr-startnr,pernr),flip(L(2,1:pernr)),'Color',[0.47 0.67 0.19],'LineWidth',4,'Marker','o','MarkerSize',0.1); %flip damit zuerst Minimum dann Maximum
plot(1,L(2,1),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig17,'textarrow',[0.735416666666666 0.777604166666666],...
    [0.227225130890054 0.234554973821991],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,L(2,pernr),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig17,'textarrow',[0.503645833333333 0.5046875],...
    [0.316230366492149 0.243979057591625],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+(pernr+1-OptimalIndex(2,2)-1)*(foldnr-startnr)/(pernr-1),L(2,OptimalIndex(2,2)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig17,'textarrow',[0.391666666666666 0.392708333333334],...
    [0.25235602094241 0.180104712041887],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig17,'textbox',[0.72 0.8 0.05 0.1],'String','(h)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([1,1+foldnr-startnr]); ylim([0.35,0.63])
ylabel('FWHM','Interpreter', 'latex'); 
xlabel('Position on branch','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[]); 
title({'$d=0.25$, $f=2$ and $f_1^2=1\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);