
% Input:  The function values of a 2pi-periodic function f:[0,2pi] ---> IR
%         u(j) = f(x_j),   x_j=j*2pi/N,   j=0, ..., L-1
%         L=2*mumax (must be even!)
% Output: The Fourier coefficients fhat such that
%         f(x_j) = sum_{mu=-mumax}^{mumax-1} fhat(mu)*exp(i*mu*x_j)
%         out(k) = fhat(-mumax-1+k),   k=1, ..., L

function v = myfft(u)

L=length(u);
v=fft(u);
v=fftshift(v);
v=v/L;
