 close all; format compact; keep pphome; % clean up 


%% f1-Fortsetzung für k1=2
  zeta=5; d=0.1; ftot=2; phi=pi/6; k1=2;
  p=[]; par=[d; zeta; ftot*cos(phi); 0; 0; 1; k1];  % Parameter: d,zeta,f0,f1,omega_1,epsilon,k1
  nx=500; p=LLEinit(p,0,2*pi,2*nx,par); p=setfn(p,'Branches/k1=2/f1_25per'); 
  f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot*cos(phi)];
  start=fsolve(f,[0, 0]);
  u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
  p.sw.bcper=1; p=box2per(p);
  p.nc.ilam=4;
  p.nc.lammax=ftot*sin(phi);
  p.usrlam=ftot*sin(phi);
  p.sol.ds=0.01;
  p=my_cont(p,300);
  counter1=p.file.count-2;

%% zeta-Fortsetzung für k1=2
  p=loadp('Branches/k1=2/f1_25per',['pt' num2str(counter1)]);
  p.nc.lammax=10000;
  p.branch=p.branch(:,end);
  p.usrlam=[];
  p=setfn(p,'Branches/k1=2/zeta_25per'); 
  p.nc.ilam=2;
  p.sol.ds=-p.sol.ds;
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,10);
  p.usrlam=3.3;
  p=my_cont(p,800);

%% Bifurkation per Zusammenkleben zweier Lösungen für das selbe zeta für k1=2

  ind1=my_findulamindex('Branches/k1=2/zeta_25per',800,2,1,3.3);
  ind2=my_findulamindex('Branches/k1=2/zeta_25per',800,2,2,3.3);
  p=loadp('Branches/k1=2/zeta_25per',['pt' num2str(ind1)]);
  u1=p.u(1:p.nu/2); v1=p.u(p.nu/2+1:p.nu);
  p=loadp('Branches/k1=2/zeta_25per',['pt' num2str(ind2)]);
  u2=p.u(1:p.nu/2); v2=p.u(p.nu/2+1:p.nu);
  uk1_2=[u2(1:250);u1(251:750);u2(751:end)];
  vk1_2=[v2(1:250);v1(251:750);v2(751:end)];
  z1=uk1_2.^2+vk1_2.^2; z1=[z1;z1(1)];
  p.u(1:p.nu)=[uk1_2;vk1_2];
  p=setfn(p,'Branches/k1=2/b1_25per_glue');
  p.branch=[];
  p.usrlam=[];
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,1300);

%% Berechne exakten interpolierten Punkt bei zeta=3.3 für k1=2
  p=loadp('Branches/k1=2/b1_25per_glue','pt10');
  p.branch=[];
  p.sol.ds=-p.sol.ds;
  p.usrlam=3.3;
  p=setfn(p,'Branches/k1=2/InterpolatedPoint');
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,20);

%% Berechne optimales Soliton für k1=2
  [OptimalFWHM1,OptimalIndex1]=FWHM2(1,1299,'Branches/k1=2/b1_25per_glue',nx);
  %Ergebnis: OptimalIndex1=234


  %% f1-Fortsetzung für k1=3
  zeta=5; d=0.1; ftot=2; phi=pi/6; k1=3;
  p=[]; par=[d; zeta; ftot*cos(phi); 0; 0; 1; k1];  % Parameter: d,zeta,f0,f1,omega_1,epsilon,k1
  nx=500; p=LLEinit(p,0,2*pi,2*nx,par); p=setfn(p,'Branches/k1=3/f1_25per'); 
  f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot*cos(phi)];
  start=fsolve(f,[0, 0]);
  u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
  p.sw.bcper=1; p=box2per(p);
  p.nc.ilam=4;
  p.nc.lammax=ftot*sin(phi);
  p.usrlam=ftot*sin(phi);
  p.sol.ds=0.01;
  p=my_cont(p,300);
  counter2=p.file.count-2;

%% zeta-Fortsetzung für k1=3
  p=loadp('Branches/k1=3/f1_25per',['pt' num2str(counter2)]);
  p.nc.lammax=10000;
  p.branch=p.branch(:,end);
  p.usrlam=[];
  p=setfn(p,'Branches/k1=3/zeta_25per'); 
  p.nc.ilam=2;
  p.sol.ds=-p.sol.ds;
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,10);
  p.usrlam=3.1;
  p=my_cont(p,900);

%% Bifurkation per Zusammenkleben zweier Lösungen für das selbe zeta für k1=3

  ind1=my_findulamindex('Branches/k1=3/zeta_25per',800,2,1,3.1);
  ind2=my_findulamindex('Branches/k1=3/zeta_25per',800,2,2,3.1);
  p=loadp('Branches/k1=3/zeta_25per',['pt' num2str(ind1)]);
  u1=p.u(1:p.nu/2); v1=p.u(p.nu/2+1:p.nu);
  p=loadp('Branches/k1=3/zeta_25per',['pt' num2str(ind2)]);
  u2=p.u(1:p.nu/2); v2=p.u(p.nu/2+1:p.nu);
  uk1_3=[u2(1:167);u1(168:833);u2(834:end)];
  vk1_3=[v2(1:167);v1(168:833);v2(834:end)];
  z2=uk1_3.^2+vk1_3.^2; z2=[z2;z2(1)];
  p.u(1:p.nu)=[uk1_3;vk1_3];
  p=setfn(p,'Branches/k1=3/b1_25per_glue');
  p.branch=[];
  p.usrlam=[];
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,2400);

%% Berechne optimales Soliton für k1=3
  [OptimalFWHM2,OptimalIndex2]=FWHM2(1,2399,'Branches/k1=3/b1_25per_glue',nx);
  %Ergebnis: OptimalIndex2=226

%% Speichere in Datenbank
   save('OptimalIndex','OptimalIndex1','OptimalIndex2','z1','z2','uk1_2','vk1_2','uk1_3','vk1_3');

